org.eclipse.cdt.core.dom.ast

## Interface IType

All Superinterfaces:
  java.lang.Cloneable

All Known Subinterfaces:
  IArrayType, IBasicType, ICArrayType, ICBasicType, ICompositeType, ICPointerType, ICPPAliasTemplate, ICPPAliasTemplateInstance, ICPPBasicType, ICPPClassSpecialization, ICPPClassTemplate, ICPPClassTemplatePartialSpecialization, ICPPClassTemplatePartialSpecializationSpecialization, ICPPClassType, ICPPEnumeration, ICPPEnumerationSpecialization, ICPPFunctionType, ICPPParameterPackType, ICPPPointerToMemberType, ICPPReferenceType, ICPPTemplateTemplateParameter, ICPPTemplateTypeParameter, ICPPTypeSpecialization, ICPPUnaryTypeTransformation, ICQualifierType, IEnumeration, IFunctionType, IGPPBasicType, IGPPPointerToMemberType, IGPPPointerType, IGPPQualifierType, IPointerType, IProblemBinding, IProblemType, IQualifierType, ITypedef

    public interface IType
    extends java.lang.Cloneable

Interface for all c- and c++ types.

### Field Summary

Fields
`static IType[]` `EMPTY_TYPE_ARRAY`
`static ASTTypeMatcher` `TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `clone()`
`boolean` `isSameType(IType type)` Test whether this type is the same as the given one.

### Field Detail

#### EMPTY_TYPE_ARRAY

    static final IType[] EMPTY_TYPE_ARRAY

#### TYPE_MATCHER

    static final ASTTypeMatcher TYPE_MATCHER

### Method Detail

#### clone

    java.lang.Object clone()

#### isSameType

    boolean isSameType(IType type)

Test whether this type is the same as the given one. A typedef is considered to be the same type as it's target type. See `ICPPTemplateTemplateParameter.isSameType(IType)` or `ICPPTemplateTypeParameter.isSameType(IType)` for the semantics of comparing template parameters denoting types.

Parameters:
  `type` - can be `null`.